/** @odoo-module **/

import { Component, useState } from "@odoo/owl";
import { TodoItem } from "./todo_item";

export class TodoList extends Component {
    static template = "awesome_owl.todo_list";
    static components = { TodoItem };

    setup() {
        this.todos = useState([]);
    }

    addTodo(ev) {
        // If the key was enter and input isn't empty
        if(ev.keyCode === 13) {
            if(ev.target.value !== '') {
                // Let's create a todo
                this.todos.push({ id: this.todos.length+1, description: ev.target.value, isCompleted: false });
                ev.target.value = '';
            }
        }
    }
}